@import '1-variables';


body {
  font-family: $font-body;
}

html,
body,
main,
  {
  position: relative;
  height: auto;
  overflow-x: hidden;
  scroll-snap-points-y: repeat(100%);
  scroll-snap-type: mandatory;
  scroll-snap-destination: 100% 0%;
}

section {
  overflow: hidden;
}


p {
  font-family: $font-body;
  color: $color-black;
  font-size: 15px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: $font-headers;
  color: $color-white;
}

a {
  color: $color-white;

  &:hover {
    color: $color-white;
    text-decoration: none;
  }
}

//blue label
.blue-label {
  &:before {
    content: " ";
    position: absolute;
    background: url(../img/blue-label.png) no-repeat transparent;
    background-size: 100%;
    width: 56px;
    height: 90px; // left:0;
    margin-top: 0px;
    margin-top: -12px;
    margin-left: -59px;
  }
}

.ht1 {
  font-size: 35px;
  line-height: 1.5em;

  @media (min-width: $break-small) {
    font-size: 40px;
  }

  @media (min-width:$break-medium) {
    font-size: 60px;
    line-height: 1.2em;
  }

  @media (min-width:$break-large) {
    font-size: 80px;
    line-height: 1.1em;

  }
}

.ht2 {
  font-size: 25px;
  line-height: 1em;
  font-weight: bold;

  @media (min-width: $break-medium) {
    font-size: 47px;
    line-height: 1em;
  }
}



.ht3 {
  font-size: 28px;

  .blue-label {
    &:before {
      width: 20px;
      height: 30px;
      margin-top: 2px;
      margin-left: 27px;
    }

  }

  @media (min-width:$break-medium) {
    font-size: 32px;
  }

}

.ht4 {
  font-size: 20px;

  @media (min-width: 768px) {
    font-size: 30px;
  }
}


ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

[type=reset],
[type=submit],
button,
html [type=button] {
  -webkit-appearance: none !important;
}

.absolute {
  position: absolute;
}

.relative {
  position: relative;
}



.rotate {
  /* Safari */
  -webkit-transform: rotate(180deg);

  /* Firefox */
  -moz-transform: rotate(180deg);

  /* IE */
  -ms-transform: rotate(180deg);

  /* Opera */
  -o-transform: rotate(180deg);

  /* Internet Explorer */
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
}

//adjust height section
.vh-100 {
  height: 100vh;
}

.vh-90{
  height: 90vh;
}
.vh-80{
  height: 80vh;
}
.vh-70{
  height: 70vh;
}

.vh-50 {
  height: 50vh;
}

.vh-25 {
  height: 25vh;
}

//adjust width

.w-90 {
  width: 90 !important;
}

.w-85 {
  width: 85 !important;
}

.w-80 {
  width: 80 !important;
}

//font-sizes
.fs-0{
  font-size:24px; 
}

.fs-1 {
  font-size: 20px;
}

.fs-2 {
  font-size: 15px;
}

.fs-3 {
  font-size: 12px;
}

.bold {
  font-weight: bold;
}



.bg-overlay-gradient-x{
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  background: -webkit-linear-gradient(left, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1));
  background: -o-linear-gradient(right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1));
  background: -moz-linear-gradient(right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1));
  background: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1));
}